import request from "@/utils/request";
import fence from "@/views/system/fence/index.vue";

/**
 * 标识列表
 * @param data
 * @returns {*}
 */
export function vehicleList(data){
  return request({
    url:'/vehicle/vehicle/list',
    method:"post",
    data:data
  })
}


/**
 * 新增标识
 * @param data
 * @returns {*}
 */
export function vehicleInsert(data) {
  return request({
    url: '/vehicle/vehicle/vehicleInsert',
    method: 'post',
    data:data
  })
}

/**
 * 绑定围栏
 * @param data
 * @returns {AxiosPromise}
 */
export function insertMarkersFence(data) {
  return request({
    url: '/vehicle/vehicle/insertMarkersFence',
    method: 'post',
    data:data
  })
}

/**
 * 删除标识
 * @param fenceId
 * @returns {*}
 */
export function vehicleDelete(fenceId) {
  return request({
    url: '/vehicle/vehicle/vehicleDelete/'+fenceId,
    method: 'post'
  })
}


/**
 * 修改标识
 * @param data
 * @returns {*}
 */
export function vehicleUpdate(data) {
  return request({
    url: '/vehicle/vehicle/vehicleUpdate',
    method: 'post',
    data
  })
}

